Reshaping of Vectors and Matrices
Base Module

## Functions

template<class T >
Vec< T > | itpp::reverse (const Vec< T > &in)
| Reverse the input vector.
template<class T >
Vec< T > | itpp::rvectorize (const Mat< T > &m)
| Row vectorize the matrix [(0,0) (0,1) ... (N-1,N-2) (N-1,N-1)].
template<class T >
Vec< T > | itpp::cvectorize (const Mat< T > &m)
| Column vectorize the matrix [(0,0) (1,0) ... (N-2,N-1) (N-1,N-1)].
template<class T >
Mat< T > | itpp::reshape (const Mat< T > &m, int rows, int cols)
| Reshape the matrix into an rows*cols matrix. More...
template<class T >
Mat< T > | itpp::reshape (const Vec< T > &v, int rows, int cols)
| Reshape the vector into an rows*cols matrix. More...

## Detailed Description

## Function Documentation

template<class T >

Mat<T> itpp::reshape | ( | const Mat< T > & | m,
|  | int | rows,
|  | int | cols
| ) |  |

Reshape the matrix into an rows*cols matrix.

The data is taken columnwise from the original matrix and written columnwise into the new matrix.

Definition at line 822 of file matfunc.h.

References itpp::Mat< Num_T >::cols(), it_assert_debug, and itpp::Mat< Num_T >::rows().

Referenced by fpica().

template<class T >

Mat<T> itpp::reshape | ( | const Vec< T > & | v,
|  | int | rows,
|  | int | cols
| ) |  |

Reshape the vector into an rows*cols matrix.

The data is element by element from the vector and written columnwise into the new matrix.

Definition at line 846 of file matfunc.h.

References it_assert_debug, and itpp::Vec< Num_T >::size().

Generated on Thu Aug 20 2015 21:02:52 for IT++ by Doxygen 1.8.9.1